package com.diagbot.facade;

import java.util.List;

import org.springframework.stereotype.Component;

import com.diagbot.dto.GetConsoleOnTrialDTO;
import com.diagbot.dto.GetConsoleOpenedDTO;
import com.diagbot.service.impl.OpenedProductsServiceImpl;
import com.diagbot.util.UserUtils;

/**
 * @Description:已开通产品业务层
 * @author: zhaops
 * @time: 2018/9/19 16:55
 */
@Component
public class OpenedProductsFacade extends OpenedProductsServiceImpl {
	
	
    public List<GetConsoleOpenedDTO> getConsoleOpened(){
    	Long userId = Long.parseLong(UserUtils.getCurrentPrincipleID());
        return baseMapper.getConsoleOpened(userId);
    }
	
    public List<GetConsoleOnTrialDTO> getConsoleOnTrial(){
    	Long userId = Long.parseLong(UserUtils.getCurrentPrincipleID());
        return baseMapper.getConsoleOnTrial(userId);
    }
	
}
